package com.cool.store.dto.trtc.callback;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Author: young.yu
 * @Date: 2023-06-29  01:18
 * @Description:
 */
public class TencentVod {
    @JsonProperty("UserId")
    private String userId;
    @JsonProperty("TrackType")
    private String trackType;
    @JsonProperty("MediaId")
    private String mediaId;
    @JsonProperty("FileId")
    private String fileId;
    @JsonProperty("VideoUrl")
    private String videoUrl;
    @JsonProperty("CacheFile")
    private String cacheFile;
    @JsonProperty("StartTimeStamp")
    private long startTimeStamp;
    @JsonProperty("EndTimeStamp")
    private long endTimeStamp;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTrackType() {
        return trackType;
    }

    public void setTrackType(String trackType) {
        this.trackType = trackType;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getCacheFile() {
        return cacheFile;
    }

    public void setCacheFile(String cacheFile) {
        this.cacheFile = cacheFile;
    }

    public long getStartTimeStamp() {
        return startTimeStamp;
    }

    public void setStartTimeStamp(long startTimeStamp) {
        this.startTimeStamp = startTimeStamp;
    }

    public long getEndTimeStamp() {
        return endTimeStamp;
    }

    public void setEndTimeStamp(long endTimeStamp) {
        this.endTimeStamp = endTimeStamp;
    }
}
